# nng_stream_dialer_free(3str) Manual Page

## NAME

nng_stream_dialer_free - free byte stream dialer

## SYNOPSIS

    #include <nng/nng.h>

    void nng_stream_dialer_free(nng_stream_dialer *d);

## DESCRIPTION

The `nng_stream_dialer_free()` function closes the supplied byte stream dialer d, and frees the underlying resources associated with it.

If any dial operations using d are in progress, they will be terminated with an `NNG_ECLOSED` error condition.

| It is important that the application ensure that no further accesses are made to d, as the memory backing it will be reclaimed for other uses.

## RETURN VALUES

None.

## ERRORS

None.

## SEE ALSO

nng_strerror(3), nng_stream_dialer_alloc(3str), nng_stream_dialer_close(3str), nng_stream_dialer_dial(3str), nng_stream_dialer(5)